#
# spec file for package xt (Version 19991102)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  java xp
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip java kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim xp

Name:         xt
%define version 0
%define XT_NAME xt.zip
%define XT_PATCH xt.dif
Copyright:    1999 - free
Group:        Applications/Publishing
Requires:     xp java_runtime
Autoreqprov:  on
Version:      19991102
Release:      265
Summary:      XSL Engine in Java
Source:       ftp://ftp.jclark.com/pub/xml/xt.zip
Patch:        xt.dif
URL:          http://www.jclark.com/xml/xt.html
BuildArchitectures: noarch
BuildRoot:  /var/tmp/xt-root

%description
An implementation in Java of the tree construction/transformation part of XSL.
This implementation follows PR-xslt-19991008.
You'll find the documentation in /usr/share/doc/packages/xt.

Authors:
--------
    James Clark <jjc@jclark.com>

SuSE series: sgm

%define INSTALL install -m755 -s
%define INSTALL_SCRIPT install -m755
%define INSTALL_DIR install -d -m755
%define INSTALL_DATA install -m644
%prep
rm -fr xt
%{INSTALL_DIR} xt
(cd xt && unzip -a $RPM_SOURCE_DIR/%{XT_NAME} \
       && patch -s -p0 < $RPM_SOURCE_DIR/%{XT_PATCH})

%install
%{INSTALL_DIR} $RPM_BUILD_ROOT/usr/lib/xml
%{INSTALL_DATA} xt/xt.jar $RPM_BUILD_ROOT/usr/lib/xml/xt.jar
%{INSTALL_DATA} xt/sax.jar $RPM_BUILD_ROOT/usr/lib/xml/sax.jar
# docu
%{INSTALL_DIR} $RPM_BUILD_ROOT%{_defaultdocdir}/xt
(cd xt && cp -a xt.htm copying.txt $RPM_BUILD_ROOT%{_defaultdocdir}/xt)
(cd xt && cp -a demo $RPM_BUILD_ROOT%{_defaultdocdir}/xt)
(cd xt && cp -a README.SuSE $RPM_BUILD_ROOT%{_defaultdocdir}/xt)
export RPM_BUILD_ROOT

%files
%defattr(-, root, root)
# %doc xt/{xt.htm,copying.txt}
# %doc xt/demo
%{_defaultdocdir}/xt
/usr/lib/xml/xt.jar
/usr/lib/xml/sax.jar

%changelog -n xt
* Mon Apr 09 2001 - ro@suse.de
- fixed group tag
* Wed May 10 2000 - ke@suse.de
- Use %%{_defaultdocdir}.
* Fri Nov 12 1999 - ke@suse.de
- Update: version 19991102.
* Mon Oct 18 1999 - ke@suse.de
- Update: version 19991008.
- Fix check macro call.
* Mon Sep 20 1999 - ro@suse.de
- added requires java_runtime
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Sun Aug 15 1999 - ke@suse.de
- Update: version 19980813.
* Mon Aug 09 1999 - ke@suse.de
- Provide README.SuSE.
- It's Java, it's BuildArchitectures: noarch.
* Sat Aug 07 1999 - ke@suse.de
- New package: version 19990725.
